<template>
  <ObTable
    class="select-executor-table"
    :items="items"
    :columns="columns"
    :selected="{}"
    :functional-panel="false"
    data-qa="selectDriverTable"
  >
    <div slot="select" slot-scope="{ data }">
      <ObButton
        label="Назначить"
        :mini="true"
        data-qa="btnAppoint"
        @click="selectExecutor(data)"
      />
    </div>
  </ObTable>
</template>

<script>
import ObTable from 'common-components/src/obComponents/obTable'
import ObButton from 'common-components/src/obComponents/obButton'
import { formatNumber } from 'common-components/src/helpers/common'

let statusColors = {
  'Доступен': '#10CF96',
  'Нет данных': '#9DA0AC'
}

export default {

  components: {
    ObTable,
    ObButton
  },

  computed: {
    columns() {
      return [
        {
          title: 'Перевозчик',
          key: 'title',
          width: 250,
        },
        {
          title: `Группа риска`,
          key: 'icon',
          width: 100,
          html: (data) => `<i class="icon ${data.icon}" style="font-size: 22px;"></i>`
        },
        {
          title: 'Тариф',
          key: 'tariff',
          width: 200,
          html: (data) => `<span class="tariff-cell">${formatNumber(data.tariff)} ₽</span>`
        },
        {
          title: 'Статус',
          key: 'status',
          html: (data) => `<span style="color: ${statusColors[data.status] || '#9DA0AC'}">${data.status}</span>`
        },
        {
          title: '',
          sortDisable: true,
          slotName: 'select'
        }
      ];
    },
    items() {
      return [
        {
          title: 'ЗАО «ТрансКорж»',
          icon: 'risk-1-blue',
          grzNum: 'к 324 бб',
          grzReg: '199',
          description: 'Камаз / +7 (823) 589-34-15 / 2015 г. / В собственности',
          tariff: 49000,
          status: 'Доступен'
        },
        {
          title: 'ООО «Трансастана»',
          icon: 'risk-2-blue',
          grzNum: 'ав 3241',
          grzReg: '199',
          description: 'Полуприцеп. Изотерм. / 20т / 86м³/ 33 пал / Гидроборт, задняя загрузка  / 2009 г. / ....',
          tariff: 48200,
          status: 'Доступен'
        },
        {
          title: 'ООО «Транспортные линии»',
          icon: 'risk-1-blue',
          grzNum: 'к 787 шх',
          grzReg: '63',
          description: '+7 (823) 589-34-15',
          tariff: 45000,
          status: 'Нет данных'
        }
      ]
    },
  },
  methods: {
    selectExecutor (data) {
      this.$emit('on-select', data.item)
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~common-components/src/static/css/variables';
@import '~common-components/src/static/css/mixins';

.max-width-100 {
  max-width: 100%;
}

.color-red {
  color: $light-raspberry-red;
}

.color-green {
  color: $color-green-light;
}

.color-gray {
  color: $color-grey-span;
}

.text-small {
  font-size: 12px;
  line-height: 20px;
}

.text-right {
  text-align: right;
}
</style>

<style lang="scss">
  @import '~common-components/src/static/css/variables';
  @import '~common-components/src/static/css/mixins';

  .select-executor-table {
    &:before {
      display: none !important;
    }
    table {
      min-width: auto!important;
    }
    .table-panel-inner {
      border-left: 1px solid $lavender;
      border-right: 1px solid $lavender;
      border-radius: 3px;
    }
    .table-footer {
      display: none;
    }
    .tariff-cell {
      @include font-mixin(14px, 18px, 600, $color-text-base, 0.2px);
    }

    th {
      .td-container {
        word-break: break-word;
      }
    }

    td {
      .td-container {
        min-height: 75px!important;
      }
    }

    td:last-child {
      opacity: 0;
      transition: opacity 0.2s;
      .td-container {
        justify-content: flex-end;
      }
    }

    tr:hover {
      td:last-child {
        opacity: 1;
      }
    }
  }
</style>
